[NTG-context] Different versions of Lua and error in the same versions of ConTeXt (Fedora vs Win7)

Hans Hagen pragma at wxs.nl
Sun Feb 22 19:44:52 CET 2015


On 2/22/2015 7:36 PM, Jaroslav Hajtmar wrote:
> Hi ConTeXist...
> How can I find out what version of Lua uses ConTeXt TeXlive 2014
> respectively what version of Lua uses Standalone ConTeXt?
> The point is that Pablo Rodriguez use Fedora 20, which comes with
> Lua-5.2.2. Pablo tested last version of my module ScanCSV and his
> current version of standalone ConTeXt gained mistake, while I compiled
> (with the same current version of Standalone under Win7) the same source
> code without error ....
>
> Error message from log file is:
>
> t-scancsv-2015-02-19.lua:81: assertion failed!
> stack traceback:
>      [C]: in function 'assert'
>      t-scancsv-2015-02-19.lua:81: in function 'ParseCSVLine'
>      t-scancsv-2015-02-19.lua:123: in function 'parsecsvdata'
>      t-scancsv-2015-02-19.lua:180: in function 'opencsvfile'
>      [\directlua]:1: in main chunk

_VERSION

for pablo: there are csv scanners built in context

-----------------------------------------------------------------
                                           Hans Hagen | PRAGMA ADE
               Ridderstraat 27 | 8061 GH Hasselt | The Netherlands
     tel: 038 477 53 69 | voip: 087 875 68 74 | www.pragma-ade.com
                                              | www.pragma-pod.nl
-----------------------------------------------------------------


More information about the ntg-context mailing list